#!/bin/bash

#set -x

request=$1
runsolver="./runsolver -w out -W 60"
i=0
logs=$2
solvers=$3

mkdir -p $logs

APT_CONFIG=/root/cbse/data/apt.conf aptitude update
APT_CONFIG=/root/cbse/data/apt.conf apt-get update
APT_CONFIG=/root/cbse/data/apt.conf cupt update
/root/cbse/mpm/mpm.py -c /root/cbse/mpm/apt.conf update
cp -v /tmp/universe* $logs/
smart --config-file=/root/cbse/data/root/var/lib/smart/config update 

cat $1 | while read req; do
  i=$((i+1))
  echo "$i : $req"

  echo mpm
  echo $req > $logs/$i.mpm
  $runsolver /root/cbse/mpm/mpm.py -c /root/cbse/mpm/apt.conf $req &>>$logs/$i.mpm < /dev/null
  rm -f /tmp/tmp*

  echo aptitude
  echo $req > $logs/$i.aptitude
  APT_CONFIG=/root/cbse/data/apt.conf $runsolver aptitude -s -y --without-recommends $req &>>$logs/$i.aptitude < /dev/null

  echo apt-get
  echo $req > $logs/$i.apt-get
  APT_CONFIG=/root/cbse/data/apt.conf $runsolver apt-get -s -y --no-install-recommends $req &>>$logs/$i.apt-get < /dev/null

#  echo apt-get-exp
#  echo $req > $logs/$i.apt-get-exp
#  APT_CONFIG=/root/cbse/data/apt.conf $runsolver apt-get -s -y $req &>>$logs/$i.apt-get-exp < /dev/null

  echo cupt
  echo $req > $logs/$i.cupt
  APT_CONFIG=/root/cbse/data/apt.conf $runsolver cupt -s -V -y --no-install-recommends $req &>>$logs/$i.cupt < /dev/null

  echo smart
  echo $req > $logs/$i.smart
  $runsolver smart --config-file=/root/cbse/data/root/var/lib/smart/config $req &>>$logs/$i.smart < /dev/null

done

echo "done?"
