#!/bin/bash

#set -x

randomize() {
  local file=$1
  res=$(grep Package: $file | cut -d' ' -f2 | shuf -n 1)
  echo $res
}

sargestatus=../root/var/lib/dpkg/status.sarge
sidstatus=../root/var/lib/dpkg/status.sid
sidrequest=sidrequest
sargerequest=sargerequest
rm $sidrequest $sargerequest

gen() {
  local op=$1
  local file=$2
  local out=$3
  for i in $(seq 100); do
    for j in $(seq 5); do
      a="$a $(randomize $file)"
    done
    echo "$op $a" >> $out
    #echo >> $out
    unset a
  done
}

echo "dist-upgrade" >> $sargerequest
#echo >> $sargerequest
echo "upgrade" >> $sargerequest
#echo >> $sargerequest

gen "install" ../root/var/lib/apt/lists/archive.debian.org_debian_dists_sarge_main_binary-i386_Packages $sargerequest 
gen "install" ../root/var/lib/apt/lists/ftp.debian.org_debian_dists_sid_main_binary-i386_Packages $sidrequest 
gen "remove" ../root/var/lib/dpkg/status.sarge $sargerequest 
gen "remove" ../root/var/lib/dpkg/status.sid $sidrequest 
